### Method

# Soup Message get_is_top_level_navigation

#### Declaration [src]

    gboolean
    soup_message_get_is_top_level_navigation (
      SoupMessage* msg
    )

#### Description [src]

Returns if this message is set as a top level navigation.

Used for same-site policy checks.

Gets property | `Soup.Message:is-top-level-navigation`

#### Return value

Type: `gboolean`

Whether the current request is a top-level navitation.